libzypp 17.37.10

zypp::base::ProfilingFormater Struct Reference

`#include <zypp-core/base/ProfilingFormater.h>`

Inheritance diagram for zypp::base::ProfilingFormater:

## Public Member Functions
std::string | format (const std::string &, logger::LogLevel, const char *, const char *, int, const std::string &) override
| ~ProfilingFormater () override
Public Member Functions inherited from zypp::base::LogControl::LineFormater
virtual | ~LineFormater ()

## Detailed Description

Definition at line 26 of file ProfilingFormater.h.

## Constructor & Destructor Documentation

## ◆ ~ProfilingFormater()

zypp::base::ProfilingFormater::~ProfilingFormater | ( |  | ) |
| inline override

Definition at line 34 of file ProfilingFormater.h.

## Member Function Documentation

## ◆ format()

std::string zypp::base::ProfilingFormater::format | ( | const std::string & | group_r,
|  | logger::LogLevel | level_r,
|  | const char * | file_r,
|  | const char * | func_r,
|  | int | line_r,
|  | const std::string & | message_r )
| override virtual

Reimplemented from zypp::base::LogControl::LineFormater.

Definition at line 36 of file ProfilingFormater.cc.

The documentation for this struct was generated from the following files:

- zypp-core/base/ProfilingFormater.h
- zypp-core/base/ProfilingFormater.cc